Fans
Update Fan Display Name
Sets a custom display name for a fan. Visible only to the account owner and overrides the fan's original name in the UI. Requires permission api_fans_update_display_name.
https://public-api.fansmetric.comPUT/v1/{account_id}/fans/{user_id}/display-name
Bearer
Authorization
defaultAuthorizationBearer <token>Send your FansMetric API key as a Bearer token in the Authorization header.
In: header
Path Parameters
account_id*integerOnlyFans numeric account ID.
user_id*integerFan's OnlyFans user ID.
Request Body
application/jsondisplayName*stringCustom display name. Empty string
""clears and reverts to the original. Max 100 chars.
curl --request PUT "https://public-api.fansmetric.com/v1/acct_XXXXX/fans/sample_user_id/display-name" \
--header "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
--data '{
"displayName": "Custom Name"
}'Response
200{
"data":{
"id":12345
"displayName":"Custom Name"
}
"_meta":{
"_credits":{
"used":1
}
"_rate_limits":{
"limit_minute":1000
"remaining_minute":999
"limit_day":50000
"remaining_day":49999
}
}
}